// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AI32SSC1M/16AI32SSC1M_Linux_1.x.x.x_DN/samples/wait/wait_main.c $
// $Rev: 53821 $
// $Date: 2023-10-04 16:24:27 -0500 (Wed, 04 Oct 2023) $

// 16AI32SSC1M: Sample Application: source file

#include "main.h"



//*****************************************************************************
static int _perform_dma(int fd)
{
	char	buf[1024];
	int		errs		= 0;
	int		ret;

	errs	+= ai32ssc1m_config_ai	(fd, -1, 0, 100000);
	errs	+= ai32ssc1m_rx_io_mode	(fd, -1, 0, GSC_IO_MODE_BMDMA, NULL);

	ret		= ai32ssc1m_read(fd, buf, sizeof(buf));
	errs	+= (ret < 0) ? 1 : 0;
	return(errs);
}



//*****************************************************************************
int wait_main_dma_test(int fd)
{
	int	errs;

	errs	= _perform_dma(fd);
	return(errs);
}



//*****************************************************************************
int wait_main_gsc_test(int fd)
{
	int	errs;

	errs	= ai32ssc1m_initialize(fd, -1, 0);
	return(errs);
}



//*****************************************************************************
int wait_main_pci_test(int fd)
{
	int	errs;

	errs	= ai32ssc1m_initialize(fd, -1, 0);
	return(errs);
}


